package com.bonus.material.common.enums;

import lombok.Getter;

/**
 * 类型枚举类
 * @Author ma_sh
 * @create 2025/11/15 13:31
 */
@Getter
public enum TypeEnums {

    TM_TASK_BACK(1, "退还任务"),
    TM_TASK_LEASE(2, "领用任务"),
    TM_TASK_RETIRE(3, "退役任务"),
    TM_TASK_REPAIR(4, "维修任务");


    private final Integer taskTypeId;
    private final String taskTypeName;

    TypeEnums(Integer taskTypeId, String taskTypeName) {
        this.taskTypeId = taskTypeId;
        this.taskTypeName = taskTypeName;
    }
}
